#
# spec file for package fxload (Version 2008_10_13)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           fxload
Url:            http://linux-hotplug.sf.net/
Version:        2008_10_13
Release:        9.1
Group:          System/Kernel
Summary:        Download Firmware into USB FX and FX2 Devices
License:        LGPLv2.1+
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        http://mesh.dl.sourceforge.net/sourceforge/linux-hotplug/fxload-2008_10_13.tar.bz2
Patch0:         fxload-2002_04_11.patch
ExclusiveArch:  %ix86 ppc ppc64 ia64 %sparc x86_64 %arm

%description
This program can download firmware into FX and FX2 EZ-USB devices as
well as the original AnchorChips EZ-USB.  It is intended to be invoked
by hotplug scripts when the unprogrammed device appears on the bus.

Primarily as an aid for developers, this can also be used to update
firmware on devices that boot from I2C serial EEPROMs.	For that use,
as well as downloading firmware to all other off-chip memory, a second
stage loader must first be downloaded.



Authors:
--------
    David Brownell <dbrownell@users.sourceforge.net>

%prep
%setup -q
%patch0 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS -Wall -g"

%install
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}

%files
%defattr(-,root,root)
%attr(755,root,root) /sbin/*
%{_mandir}/man?/*
%dir /usr/share/usb
/usr/share/usb/a3load.hex
%doc COPYING README.txt

%changelog
* Mon Feb  1 2010 jengelh@medozas.de
- enable SPARC building
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Wed Oct 29 2008 olh@suse.de
- update to version 2008-10-13
  add support for FX2LP
  enable build on ppc64
* Thu Aug  9 2007 olh@suse.de
- remove inclusion of linux/compiler.h
* Tue Jun  5 2007 ro@suse.de
- fix build with current kernel
* Thu Jul 20 2006 olh@suse.de
- include linux/usb_ch9.h, remove linux/version.h usage
* Sat Apr 29 2006 olh@suse.de
- linux/usbdevice_fs.h needs linux/compiler.h for __user
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 15 2005 uli@suse.de
- enabled for ARM
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Wed Aug 31 2005 ro@suse.de
- removed config-dist.sh and added ExclusiveArch
* Tue Aug 19 2003 olh@suse.de
- initial package version fxload-2002_04_11, split from hotplug.rpm
